LastFixingQuote Class Reference

Quote adapter for the last fixing available of a given Index. More...

`#include <ql/quotes/lastfixingquote.hpp>`

Inheritance diagram for LastFixingQuote:
[legend]

## Public Member Functions

| LastFixingQuote (const boost::shared_ptr< Index > &index)
Quote interface
Real | value () const
| returns the current value
bool | isValid () const
| returns true if the Quote holds a valid value
Observer interface
void | update ()
LastFixingQuote interface
const boost::shared_ptr< Index > & | index () const
Date | referenceDate () const
Public Member Functions inherited from Observable
| Observable (const Observable &)
Observable & | operator= (const Observable &)
void | notifyObservers ()
Public Member Functions inherited from Observer
| Observer (const Observer &)
Observer & | operator= (const Observer &)
std::pair< std::set< boost::shared_ptr< Observable > >::iterator, bool > | registerWith (const boost::shared_ptr< Observable > &)
void | registerWithObservables (const boost::shared_ptr< Observer > &)
Size | unregisterWith (const boost::shared_ptr< Observable > &)
void | unregisterWithAll ()

## Protected Attributes

boost::shared_ptr< Index > | index_

## Detailed Description

Quote adapter for the last fixing available of a given Index.

## Member Function Documentation

void update | ( |  | ) |

virtual

This method must be implemented in derived classes. An instance of Observer does not call this method directly: instead, it will be called by the observables the instance registered with when they need to notify any changes.

Implements Observer.